commoble.exmachina.data

## Class CircuitElementDataManager

- java.lang.Object
- - net.minecraft.client.resources.ReloadListener<java.util.Map<net.minecraft.util.ResourceLocation,com.google.gson.JsonElement>>
  - - net.minecraft.client.resources.JsonReloadListener
    - - commoble.exmachina.data.CircuitElementDataManager

All Implemented Interfaces:
  java.util.function.Supplier<java.util.Map<net.minecraft.block.Block,? extends commoble.exmachina.api.CircuitComponent>>, net.minecraft.resources.IFutureReloadListener

    public class CircuitElementDataManager
    extends net.minecraft.client.resources.JsonReloadListener
    implements java.util.function.Supplier<java.util.Map<net.minecraft.block.Block,? extends commoble.exmachina.api.CircuitComponent>>

### Nested Class Summary

### Nested classes/interfaces inherited from interface net.minecraft.resources.IFutureReloadListener

`net.minecraft.resources.IFutureReloadListener.IStage`

### Field Summary

Fields
`java.util.Map<net.minecraft.block.Block,DefinedCircuitComponent>` `data`
`static java.lang.String` `FOLDER`
`static com.google.gson.Gson` `GSON`

### Constructor Summary

Constructors
Constructor and Description
`CircuitElementDataManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `apply(java.util.Map<net.minecraft.util.ResourceLocation,com.google.gson.JsonElement> jsons, net.minecraft.resources.IResourceManager resourceManager, net.minecraft.profiler.IProfiler profiler)`
`java.util.Map<net.minecraft.block.Block,? extends commoble.exmachina.api.CircuitComponent>` `get()`

### Methods inherited from class net.minecraft.client.resources.JsonReloadListener

`getPreparedPath, prepare`

### Methods inherited from class net.minecraft.client.resources.ReloadListener

`reload`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.minecraft.resources.IFutureReloadListener

`getName`

### Field Detail

#### GSON

    public static final com.google.gson.Gson GSON

#### FOLDER

    public static final java.lang.String FOLDER

See Also:
  Constant Field Values

#### data

    public java.util.Map<net.minecraft.block.Block,DefinedCircuitComponent> data

### Constructor Detail

#### CircuitElementDataManager

    public CircuitElementDataManager()

### Method Detail

#### apply

    protected void apply(java.util.Map<net.minecraft.util.ResourceLocation,com.google.gson.JsonElement> jsons,
                         net.minecraft.resources.IResourceManager resourceManager,
                         net.minecraft.profiler.IProfiler profiler)

Specified by:
  `apply` in class `net.minecraft.client.resources.ReloadListener<java.util.Map<net.minecraft.util.ResourceLocation,com.google.gson.JsonElement>>`

#### get

    public java.util.Map<net.minecraft.block.Block,? extends commoble.exmachina.api.CircuitComponent> get()

Specified by:
  `get` in interface `java.util.function.Supplier<java.util.Map<net.minecraft.block.Block,? extends commoble.exmachina.api.CircuitComponent>>`